## Package gate.corpora

Interface Summary
EventAwareDocument
EventAwareLanguageResource

Class Summary
CorpusImpl: Corpora are sets of Document.
DatabaseCorpusImpl
DatabaseDocumentImpl
DocumentContentImpl: Represents the commonalities between all sorts of document contents.
DocumentImpl: Represents the commonalities between all sorts of documents.
EmailDocumentFormat: The format of Documents.
HtmlDocumentFormat: The format of Documents.
RtfDocumentFormat: The format of Documents.
SerialCorpusImpl
SgmlDocumentFormat: The format of Documents.
TestCorpus: Tests for the Corpus classes
TestDocument: Tests for the Document classes
TestSerialCorpus: Tests for the SerialCorpus classes
TextualDocumentFormat: The format of Documents.
XmlDocumentFormat: The format of Documents.

Exception Summary
SynchronisationException